Package io.vertx.rxjava3.openapi.contract

## Class Server

- java.lang.Object
- - io.vertx.rxjava3.openapi.contract.Server

- All Implemented Interfaces:
    `io.vertx.lang.rx.RxDelegate`

      public class Server
      extends Object
      implements io.vertx.lang.rx.RxDelegate

  This interface represents the most important attributes of an OpenAPI Server.
  Server V3.1
  Server V3.0

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static io.vertx.lang.rx.TypeArg<Server>` | `__TYPE_ARG` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Server​(Server delegate)` |
    `Server​(Object delegate)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object o)` |
    `String` | `getBasePath()` | The base path is used to indicate that the location where the OpenAPI contract is served is different from the path specified in the OpenAPI contract.
    `Server` | `getDelegate()` |
    `String` | `getURL()` |
    `int` | `hashCode()` |
    `static Server` | `newInstance​(Server arg)` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<Server> __TYPE_ARG

  - ### Constructor Detail

    - #### Server

          public Server​(Server delegate)

    - #### Server

          public Server​(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public Server getDelegate()

      Specified by:
        `getDelegate` in interface `io.vertx.lang.rx.RxDelegate`

    - #### getURL

          public String getURL()

      Returns:
        the URL of the related server

    - #### getBasePath

          public String getBasePath()

      The base path is used to indicate that the location where the OpenAPI contract is served is different from the path specified in the OpenAPI contract.
      Returns:
        the related base path.

    - #### newInstance

          public static Server newInstance​(Server arg)